Bug 481231 - Internal Server Error when when installing errata
Internal Server Error when when installing errata
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Sayli Karmarkar
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-01-22 16:52 EST by Sayli Karmarkar
Modified: 2009-09-10 16:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-01-22 16:52:43 EST
Description of problem:
Internal Server Error when when confirming package upgrade or errata 

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20081223.1

Steps to Reproduce:

Package upgrade:
1. Register a system
2. Go to rhn/systems/details/packages/UpgradableList.do and schedule a package upgrade.
3. Confirm it on the next page

Errata:
1. Register a system
2. Schedule an errata update
3. rhn_check -vvvv on client system
  
Actual results:

Package upgrade: Internal server error at step 3.

Errata: Step 2 succeds and u can see errata update in schedule. However, when you run rhn_check on the client, you get 

D: do_call errata.update ([95],)
A protocol error occurred: Internal Server Error , attempt #1,
A protocol error occurred: Internal Server Error , attempt #2,
A protocol error occurred: Internal Server Error , attempt #3,
A protocol error occurred: Internal Server Error , attempt #4,
A protocol error occurred: Internal Server Error , attempt #5,
Error communicating with server. The message was:
Internal Server Error
D: Sending back response ((6,), 'Fatal error in Python code occured', {})

Expected results:
No error. Package upgrade or errata update should succeed.
Comment 6 Sayli Karmarkar 2009-04-21 16:38:14 EDT
verified. No fatal errors seen when installing errata.
Comment 7 wes hayutin 2009-08-13 10:38:26 EDT
release pending..
installed package updates, then errata.. no ise's
Comment 8 Brandon Perkins 2009-09-10 16:32:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.